The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

php 5.0.4 problems

Discussion in 'General Discussion' started by cosmin, Jun 24, 2005.

  1. cosmin

    cosmin Well-Known Member

    Joined:
    Feb 6, 2002
    Messages:
    150
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Bucuresti
    Hello!
    I try to install php 4.0.5 and I receive this:


    .....


    make -j 4 libxml2-2.6.11....... . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . Done

    make[2]: *** [testSchemas] Error 1
    make[2]: *** Waiting for unfinished jobs....
    xmllint.o(.text+0xde2): In function `parseAndPrintFile':
    /home/cpapachebuild/buildapache/libxml2-2.6.11/xmllint.c:932: undefined reference to `htmlReadFile'
    xmllint.o(.text+0x19cc):/home/cpapachebuild/buildapache/libxml2-2.6.11/xmllint.c:918: undefined reference to `htmlCreatePushParserCtxt'
    xmllint.o(.text+0x19f3):/home/cpapachebuild/buildapache/libxml2-2.6.11/xmllint.c:921: undefined reference to `htmlParseChunk'
    xmllint.o(.text+0x1a03):/home/cpapachebuild/buildapache/libxml2-2.6.11/xmllint.c:923: undefined reference to `htmlParseChunk'
    xmllint.o(.text+0x1a14):/home/cpapachebuild/buildapache/libxml2-2.6.11/xmllint.c:925: undefined reference to `htmlFreeParserCtxt'
    ./.libs/libxml2.so: undefined reference to `htmlParseDoc__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlParseDocument__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlCreateMemoryParserCtxt__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlEntityValueLookup__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlReadMemory__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlCtxtReadFd__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlReadIO__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlCtxtReadIO__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlIsScriptAttribute__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlCtxtReadDoc__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlCtxtReadMemory__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlCtxtReset__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlAttrAllowed__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlSAXParseFile__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlParseElement__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlFreeParserCtxt__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlReadDoc__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlTagLookup__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlEntityLookup__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlParseEntityRef__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlCreatePushParserCtxt__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlReadFile__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlInitAutoClose__internal_alias'

    ..........


    collect2: ld returned 1 exit status
    make[2]: *** [xmlcatalog] Error 1
    make[1]: *** [all-recursive] Error 1
    make: *** [all] Error 2
    ./.libs/libxml2.so: undefined reference to `htmlParseDoc__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlParseDocument__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlCreateMemoryParserCtxt__internal_alias'
    ./.libs/libxml2.so: undefined reference to `htmlEntityValueLookup__internal_alias'

    .....


    collect2: ld returned 1 exit status

    make libxml2-2.6.11...(install).... . Done

    make[1]: *** [xmllint] Error 1
    make: *** [install-recursive] Error 1
    Untarring curl......Done

    configure curl-7.12.0...(--prefix=/usr).... . . . . . . . . . . . . . . . . . . . . . . Done

    make -j 4 curl-7.12.0....... . . . . . . . . . . . . . . . . . . . . . . . . . . . Done

    make curl-7.12.0...(install).... . Done

    Untarring imap....Gathering header information file(s) from server(s)
    Server: Fedora Core 2 - i386 - Base
    Server: Fedora Core 2 - i386 - Released Updates
    Finding updated packages
    Downloading needed headers
    No actions to take
    libc-client-devel is installed and is the latest version.
    Untarring php....Done

    configure php-5.0.4...(--with-apxs=/usr/local/apache/bin/apxs --with-xml --enable-bcmath --enable-calendar --with-curl --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-imap --with-imap-ssl --with-kerberos --with-mcrypt --enable-magic-quotes --with-mysql --with-mysqli=/usr/bin/mysql_config --with-openssl --enable-discard-path --with-pear --enable-sockets --enable-track-vars --with-ttf --with-freetype-dir=/usr --enable-gd-native-ttf --enable-versioning --with-zlib).... . . . . . . . . . . . . . . . . . Done

    configure: error: --with-mysql (using bundled libs) can not be used together with --with-mysqli.

    make -j 4 php-5.0.4...(clean).... Done

    make -j 4 php-5.0.4....... Done

    make php-5.0.4...(install).... Done

    /etc/rc.d/init.d/httpd start: httpd started

    configure php-5.0.4...(--prefix=/usr --with-xml --enable-bcmath --enable-calendar --with-curl --enable-ftp --with-gd --with-jpeg-dir=/usr/local --with-png-dir=/usr --with-xpm-dir=/usr/X11R6 --with-imap --with-imap-ssl --with-kerberos --with-mcrypt --enable-magic-quotes --with-mysql --with-mysqli=/usr/bin/mysql_config --with-openssl --enable-discard-path --with-pear --enable-sockets --enable-track-vars --with-ttf --with-freetype-dir=/usr --enable-gd-native-ttf --enable-versioning --with-zlib).... . . . . . . . . . . . . . . . Done

    configure: error: --with-mysql (using bundled libs) can not be used together with --with-mysqli.


    .
    .
    Were is the problem?
    Thank you very much!
     
  2. c4smok

    c4smok Member

    Joined:
    Jun 7, 2004
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    For this issue..

    "configure: error: --with-mysql (using bundled libs) can not be used together with --with-mysqli."

    Got this from Cpanel Staff

    Changing print "1" to print "0" in /home/cpapachebuild/buildapache/checkmysqli and then running the bs script from that directory should allow this to work for you.

    Code:
    #!/usr/bin/perl
    my $mv = `/usr/bin/mysql --version 2>/dev/null`;
    if ($mv eq "") {
            $mv = `/usr/local/bin/mysql --version 2>/dev/null`;
    };
    $mv =~ /[\s\t]+4\.(\d+)/;
    my $subver = $1;
    if ($subver eq "1" || $mv =~ /[\s\t]+5\.\d+\./) {
        print "0"; # this is what I changed and it still did not work...
        exit;
    } else {
        print "0";
        exit;
    }
    
    run ./buildapache to make sure your using 5.0
    then
    ./buildscript


    The top one I dunno..
     
Loading...

Share This Page